lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'listo/version'

Gem::Specification.new do |spec|
  spec.name          = 'listo'
  spec.version       = Listo::VERSION
  spec.authors       = ['Luis Alfredo Lorenzo', 'Guillermo Siliceo Trueba']
  spec.email         = ['babasbot@gmail.com', 'guillermo.siliceo@gmail.com']

  spec.summary       = 'A Ruby wrapper for the listo.mx API'
  spec.description   = 'A Ruby implementation for the listo.mx web API.'
  spec.homepage      = 'https://github.com/go-tandem/listo'
  spec.license       = 'Nonstandard'

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'rake',    '~> 10.0'
  spec.add_development_dependency 'rspec',   '~> 3.0'
  spec.add_development_dependency 'vcr',     '~> 3.0', '>= 3.0.3'
  spec.add_development_dependency 'pry',     '0.9.12'

  spec.add_development_dependency 'webmock', '~> 2.1'

  spec.add_dependency 'faraday',            '~> 0.17.3'
  spec.add_dependency 'faraday_middleware', '~> 0.10.0'
  spec.add_dependency 'openssl',            '~> 2.1',  '>= 2.1.1'
end
